D4Science Infrastructure - Task #6549
Task # 6547 (Closed): Update and configure geonetwork

Geonetwork 2.6.4 node configuration
Jan 23, 2017 06:23 PM - Fabio Sinibaldi

Status: Closed Start date: Jan 23, 2017
Priority: Normal Due date:

Assignee: Andrea Dell'Amico % Done: 100%
Category: Other Estimated time: 0.00 hour
Target version: SDI-nodes management

Infrastructure: Development

Description

Please configure geonetwork1-d-d4s.d4science.org as a development GN 2.6.4 node.
The node should comply to requests provided in ticket #6541.
Along these requirements, the following are basic configuration for the webapp :

e download the webapp from
https://sourceforge.net/projects/geonetwork/files/GeoNetwork_opensource/v2.6.4/geonetwork.war/download

® uncompress it

¢ substitute WEB-INF/config.xml file from the one in VRE Folder gcube (folder link : https://goo.gl/nXz9cl)

e add gcube-app.xml in WEB-INF/config.xml file from VRE Folder gcube (folder link : https://goo.gl/nXz9cl)

Furthermore, the node needs to run at least on scopes:
/gcube

/gcube/devsec

/gcube/devsec/devVRE

/gcube/devNext

/gcube/devNext/NextNext

History

#1 - Jan 24, 2017 01:33 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#2 - Jan 24, 2017 07:29 PM - Fabio Sinibaldi
- Status changed from In Progress to Closed
- % Done changed from 0 to 100

Reporting some upgrade issue :

e java 8 compliancy : the webapp fails to start, probably due to spring framework version.
e postgis 9 : unrecognized fucntions

The service is currently running with java 7, the database host is geoserver-dev2.d4science-ii.research-infrastructures.eu (postgis 8).
